MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
LTIRawImageWriter Class Reference

class for writing RAW files More...

`#include <lti_rawImageWriter.h>`

Inheritance diagram for LTIRawImageWriter:
[legend]
Collaboration diagram for LTIRawImageWriter:
[legend]

## Public Member Functions
| LTIRawImageWriter (void)
virtual | ~LTIRawImageWriter (void)
LT_STATUS | initialize (LTIImageStage *imageStage)
| initialization function More...
LTILayout | getLayout () const
virtual LT_STATUS | writeBegin (const LTIScene &scene)
| begin an encode (write) operation More...
virtual LT_STATUS | writeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| encode one strip of the scene More...
void | setLayout (LTILayout layout)
| set layout More...
void | setByteOrder (LTIEndian byteOrder)
| set byte order More...
Public Member Functions inherited from LTIGeoFileImageWriter
virtual | ~LTIGeoFileImageWriter ()
virtual LT_STATUS | writeEnd (void)
| complete an encode (write) operation More...
virtual LT_STATUS | deleteOutput (void)
| clean up a failed encode (write) operation More...
virtual LT_STATUS | setOutputFileSpec (const LTFileSpec &fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputFileSpec (const char *fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputStream (LTIOStreamInf *stream)
| set output file stream More...
virtual void | setWriteWorldFile (bool enabled)
| enable writing of world file More...
Public Member Functions inherited from LTIImageWriter
virtual | ~LTIImageWriter ()
virtual LT_STATUS | write (const LTIScene &scene)
| write (encode) a scene to the output format More...
LT_STATUS | setStripHeight (lt_uint32 stripHeight)
| set the stripheight for the encode More...
lt_uint32 | getStripHeight (void) const
| get the stripheight for the encode More...
virtual lt_uint32 | getDefaultStripHeight (void) const
| get the preferred stripheight for the encode More...
virtual lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode the scene More...
void | setProgressDelegate (LTIProgressDelegate *delegate)
| set progress delegate More...
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
| set interrupt delegate More...
const LTIImageStage * | getSourceImageStage (void) const
| get the source image stage More...
LTIProgressDelegate * | getProgressDelegate (void) const
| get progress delegate More...
LTIInterruptDelegate * | getInterruptDelegate (void) const
| get interrupt delegate More...
virtual LT_STATUS | setEncodingApplication (const char *name, const char *version, const char *comment=NULL)
| set name and version of the creating application More...

## Protected Attributes
LTILayout | m_layout
LTIEndian | m_byteOrder

## Additional Inherited Members
Protected Member Functions inherited from LTIGeoFileImageWriter
| LTIGeoFileImageWriter (bool supportsStreams)
| constructor More...
LTIOStreamInf * | getStream () const
| get underlying stream More...
LTFileSpec * | getFileSpec () const
| get target filename More...

## Detailed Description

This class writes an image to a stream in RAW format.

The RAW format used is simple packed BIP form.

Examples:
  DecodeMrSIDToRaw.cpp, GeoScene.cpp, and Pipeline.cpp.

Definition at line 30 of file lti_rawImageWriter.h.

## Constructor & Destructor Documentation

LTIRawImageWriter::LTIRawImageWriter | ( | void | ) |  |

virtual LTIRawImageWriter::~LTIRawImageWriter | ( | void | ) |  |
| virtual

## Member Function Documentation

LTILayout LTIRawImageWriter::getLayout | ( | ) |  | const
| inline

Definition at line 47 of file lti_rawImageWriter.h.

LT_STATUS LTIRawImageWriter::initialize | ( | LTIImageStage * | imageStage) |  |

Note that the pointer to the input image stage may not be NULL. The writer does not take ownership of the image stage.

Parameters

  imageStage | the source of image data to be written

Examples:
  GeoScene.cpp.

void LTIRawImageWriter::setByteOrder | ( | LTIEndian | byteOrder) |  |

This function is used to determine byte ordering of the output file.

Parameters

  byteOrder | the byte ordering to use

void LTIRawImageWriter::setLayout | ( | LTILayout | layout) |  |

This function is used to determine the layout of the output image, i.e. BIP or BIL or BSQ.

Parameters

  layout | the layout to use

virtual LT_STATUS LTIRawImageWriter::writeBegin | ( | const LTIScene & | scene) |  |
| virtual

This function implements the logic for beginning the encoding of the given scene.

The scene must be a valid scene for the underlying image pipeline.

This function is called by write(). Derived classes must implement this function.

Parameters

  scene | the scene to decode and output

Returns
  status code indicating success or failure

Reimplemented from LTIGeoFileImageWriter.

Reimplemented in LTIBBBImageWriter.

virtual LT_STATUS LTIRawImageWriter::writeStrip | ( | LTISceneBuffer & | stripBuffer,
|  | const LTIScene & | stripScene
| ) |  |
| virtual

This function implements the logic for actually encoding a given strip of the given scene.

This function is called by write(). Derived classes must implement this function.

Parameters

  stripBuffer | the pixels for the current strip
  stripScene | the scene representing the strip being written

Returns
  status code indicating success or failure

Implements LTIGeoFileImageWriter.

## Member Data Documentation

LTIEndian LTIRawImageWriter::m_byteOrder
| protected

Definition at line 74 of file lti_rawImageWriter.h.

LTILayout LTIRawImageWriter::m_layout
| protected

Definition at line 73 of file lti_rawImageWriter.h.

The documentation for this class was generated from the following file:

- lti_rawImageWriter.h

LizardTech